Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateAnimatedEmojiMessageClicked

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateAnimatedEmojiMessageClicked

Enclosing class:
  TdApi

public static final class TdApi.UpdateAnimatedEmojiMessageClicked extends TdApi.Update
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Message identifier.
`TdApi.Sticker`
`sticker`
The animated sticker to be played.

## Constructor Summary

Constructors
Constructor
Description
`UpdateAnimatedEmojiMessageClicked()`
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen.
`UpdateAnimatedEmojiMessageClicked(long chatId, long messageId, TdApi.Sticker sticker)`
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen.
`UpdateAnimatedEmojiMessageClicked(DataInput input)`
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### sticker

public TdApi.Sticker sticker
The animated sticker to be played.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateAnimatedEmojiMessageClicked

public UpdateAnimatedEmojiMessageClicked()
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

### UpdateAnimatedEmojiMessageClicked

public UpdateAnimatedEmojiMessageClicked(long chatId, long messageId, TdApi.Sticker sticker)
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier.
  `sticker` - Sticker The animated sticker to be played.

### UpdateAnimatedEmojiMessageClicked

public UpdateAnimatedEmojiMessageClicked(DataInput input) throws IOException
Some animated emoji message was clicked and a big animated sticker must be played if the message is visible on the screen. chatActionWatchingAnimations with the text of the message needs to be sent if the sticker is played.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`